methods:
  post:
    - editaddress_name
    - editaddress_forname
    - editaddress_address1
    - editaddress_address2
    - editaddress_zipcode
    - editaddress_town
    - editaddress_countrycodelang
    - connexionlight_email
    - connexionlight_emailconfirm
    - connexionlight_newpassword
    - connexionlight_newpasswordconfirm
    - connexionlight_news

fillin:
  enabled: true
  param:
   check_types:     [ text, checkbox, hidden, select ]

names:
  connexionlight_email:
    required:     true
    required_msg: email obligatoire
    validators:   [ MyEmailValidator, MyUniqueValidator ]

  connexionlight_emailconfirm:
    required:     true
    required_msg: email de confirmation obligatoire
    validators:   [ MyEmailValidator, MyConfirmEmailValidator ]

  connexionlight_newpassword:
    required:     true
    required_msg: mot de passe obligatoire
    validators:   [ MyStringValidator ]

  connexionlight_newpasswordconfirm:
    required:     true
    required_msg: mot de passe de confirmation obligatoire
    validators:   [ MyConfirmPasswordValidator ]

  connexionlight_news:
    required:     false

  editaddress_name:
    required:     true
    required_msg: nom obligatoire
    validators:   [  ]

  editaddress_forname:
    required:     true
    required_msg: pr&eacute;nom obligatoire
    validators:   [  ]

  editaddress_address1:
    required:     true
    required_msg: adresse obligatoire
    validators:   [  ]

  editaddress_address2:
    required:     false
    validators:   [  ]

  editaddress_zipcode:
    required:     true
    required_msg: code postal obligatoire
    validators:   [  ]

  editaddress_town:
    required:     true
    required_msg: ville obligatoire
    validators:   [  ]

  editaddress_countrycodelang:
    required:     true
    required_msg: pays obligatoire

MyEmailValidator:
    class:           sfEmailValidator
    param:
      strict:        true
      email_error:   cette adresse email n'est pas valide    

MyUniqueValidator:
    class:           sfPropelUniqueValidator
    param:
      class:         Customer
      column:        EMAIL
      unique_error:  cette adresse email existe d&eacute;j&agrave; dans notre base, merci d'en choisir une autre

MyConfirmEmailValidator:
    class:           sfCompareValidator
    param:
      check:         connexionlight_email
      compare_error: les deux emails ne correspondent pas

MyStringValidator:
    class:         sfStringValidator
    param:
      min:         6
      min_error:   6 caract&eacute;res minimum

MyConfirmPasswordValidator:
    class:         sfCompareValidator
    param:
      check:         connexionlight_newpassword
      compare_error: les deux mots de passe ne correspondent pas      